# TikzFigures

You can find here my Tikz figures, everything under Creative Common by-sa 4.0.

# Table of content

   * [TikzFigures](#tikzfigures)
   * [Table of content](#table-of-content)
   * [Figures](#figures)
      * [Optics](#optics)
         * [Lasers](#lasers)
            * [HeNe](#hene)
            * [HeNe and FPI](#hene-and-fpi)
         * [Interferometer](#interferometer)
            * [Fizeau with flat reference](#fizeau-with-flat-reference)
            * [Fizeau with spherical reference focused on surface](#fizeau-with-spherical-reference-focused-on-surface)
            * [Fizeau with spherical reference focused on center of curvature](#fizeau-with-spherical-reference-focused-on-center-of-curvature)
            * [Fizeau with spherical reference focused on back surface](#fizeau-with-spherical-reference-focused-on-back-surface)
            * [Fizeau with spherical reference collimated on back surface](#fizeau-with-spherical-reference-collimated-on-back-surface)
         * [Fourier optics](#fourier-optics)
            * [Fourier setup](#fourier-setup)
         * [Generalistic Optics](#generalistic-optics)
            * [Foucault knife edge](#foucault-knife-edge)
               * [With spherical aberration](#with-spherical-aberration)
               * [Transverse aberration](#transverse-aberration)

# Figures

## Optics

### Lasers

#### HeNe

[source](/src/optics/laser/laser_HeNe.tex)
![](/images/optics/laser/laser_HeNe.png)

#### HeNe and FPI

[source](/src/optics/laser/laser_HeNe_and_FPI.tex)
![](/images/optics/laser/laser_HeNe_and_FPI.png)

### Interferometer

#### Fizeau with flat reference

[source](/src/optics/fizeau/fizeau_flat.tex)
![](/images/optics/fizeau/fizeau_flat.png)

#### Fizeau with spherical reference focused on surface

[source](/src/optics/fizeau/fizeau_surface.tex)
![](/images/optics/fizeau/fizeau_surface.png)

#### Fizeau with spherical reference focused on center of curvature

[source](/src/optics/fizeau/fizeau_center.tex)
![](/images/optics/fizeau/fizeau_center.png)

#### Fizeau with spherical reference focused on back surface

[source](/src/optics/fizeau/fizeau_back.tex)
![](/images/optics/fizeau/fizeau_back.png)

#### Fizeau with spherical reference collimated on back surface

[source](/src/optics/fizeau/fizeau_collimated.tex)
![](/images/optics/fizeau/fizeau_collimated.png)

### Fourier optics

#### Fourier setup

Eye adapted from [here](https://tex.stackexchange.com/a/66491).

[source](/src/optics/fourier/fourier_setup.tex)
![](/images/optics/fourier/fourier_setup.png)

### Generalistic Optics

#### Foucault knife edge

##### With spherical aberration

[source](/src/optics/foucault/knife_edge.tex)
![](/images/optics/foucault/knife_edge.png)

##### Transverse aberration

[source](/src/optics/foucault/transverse_aberration.tex)
![](/images/optics/foucault/transverse_aberration.png)


